pref("flagfox.actions", "[{\"name\":\"Geotool\",\"template\":\"http://geoip.flagfox.net/?ip={IPaddress}&host={domainName}\",\"iconclick\":\"click\",\"hotkey\":{\"mods\":\"ctrl alt\",\"key\":\"g\"},\"show\":true},{\"name\":\"WolframAlpha\",\"template\":\"http://www.wolframalpha.com/input/?i={domainName}\"},{\"name\":\"Whois\",\"template\":\"http://whois.domaintools.com/{domainName}\",\"iconclick\":\"middleclick\",\"show\":true},{\"name\":\"Alexa\",\"template\":\"http://alexa.com/siteinfo/{domainName}\",\"show\":true},{\"name\":\"SiteAdvisor\",\"template\":\"https://www.siteadvisor.com/sites/{domainName}\",\"show\":true},{\"name\":\"WOT Scorecard\",\"template\":\"http://www.mywot.com/scorecard/{domainName}\",\"iconclick\":\"doubleclick\",\"show\":true},{\"name\":\"Xmarks\",\"template\":\"http://www.xmarks.com/site/{domainName}\",\"show\":true},{\"name\":\"Google\",\"template\":\"https://www.google.com/search?q=site:{domainName}\"},{\"name\":\"Google Translate\",\"template\":\"http://translate.google.com/translate?tl={locale}&u={fullUrl}\",\"show\":true},{\"name\":\"Google Cache\",\"template\":\"http://www.google.com/search?q=cache:{fullURL}\"},{\"name\":\"Internet Archive\",\"template\":\"http://web.archive.org/web/*/{fullURL}\"},{\"name\":\"W3C Validator\",\"template\":\"http://validator.w3.org/check?uri={fullURL}\"},{\"name\":\"W3C CSS Validator\",\"template\":\"http://jigsaw.w3.org/css-validator/validator?uri={fullURL}\"},{\"name\":\"Validate.nu\",\"template\":\"http://validator.nu/?doc={fullURL}\"},{\"name\":\"WAVE a11y Check\",\"template\":\"http://wave.webaim.org/report?url={fullURL}\"},{\"name\":\"SSL Checker\",\"template\":\"https://www.sslshopper.com/ssl-checker.html#hostname={domainName}\"},{\"name\":\"Header Check\",\"template\":\"http://quixapp.com/headers/?r={fullUrl}\"},{\"name\":\"URL Parser\",\"template\":\"http://urlparser.com/?linkFrom=flagf1&url={fullURL}\"},{\"name\":\"Ping\",\"template\":\"http://tools.pingdom.com/ping/?target={domainName}&o=2\",\"show\":true},{\"name\":\"Traceroute\",\"template\":\"http://www.domaintools.com/research/traceroute/?query={IPaddress}&search=traceroute\"},{\"name\":\"IntoDNS\",\"template\":\"http://www.intodns.com/{baseDomainName}\"},{\"name\":\"It down or just me?\",\"template\":\"http://downforeveryoneorjustme.com/{domainName}\"},{\"name\":\"My Info\",\"template\":\"http://geoip.flagfox.net/\",\"show\":true},{\"name\":\"bit.ly URL\",\"template\":\"http://bit.ly/?v=3&u={fullUrl}\",\"show\":true},{\"name\":\"Tiny URL\",\"template\":\"http://tinyurl.com/create.php?url={fullURL}\"},{\"name\":\"Copy IP\",\"template\":\"copystring:{IPaddress}\",\"show\":true},{\"name\":\"Copy Server Info\",\"template\":\"copystring:{domainName} ({IPaddress}) - {countryName} ({countryCode})\"},{\"name\":\"Wikipedia: Country\",\"template\":\"http://{baseLocale-UI}.wikipedia.org/wiki/Special:Search?search={countryName}&go=Go&variant={locale-UI}\"},{\"name\":\"Wikipedia: Domain\",\"template\":\"http://{baseLocale-UI}.wikipedia.org/wiki/Special:Search?search={baseDomainName}&go=Go&variant={locale-UI}\"},{\"name\":\"Wikipedia: TLD\",\"template\":\"http://{baseLocale-UI}.wikipedia.org/wiki/Special:Search?search=.{TLD}&go=Go&variant={locale-UI}\"},{\"name\":\"Page Metadata\",\"template\":\"javascript:msg=\\\"Title: {title}\\\"; [[\\\"Section\\\",\\\"{meta-section}\\\"],[\\\"Subsection\\\",\\\"{meta-subsection}\\\"],[\\\"Author\\\",\\\"{meta-author}\\\"],[\\\"Creator\\\",\\\"{meta-creator}\\\"],[\\\"Publisher\\\",\\\"{meta-publisher}\\\"],[\\\"Description\\\",\\\"{meta-description}\\\"],[\\\"Keywords\\\",\\\"{meta-keywords}\\\"],[\\\"Generator\\\",\\\"{meta-generator}\\\"],[\\\"Robots\\\",\\\"{meta-robots}\\\"],[\\\"Viewport\\\",\\\"{meta-viewport}\\\"]].forEach(function(info){if(info[1])msg+=\\\"\\\\n\\\\n\\\"+info[0]+\\\": \\\"+info[1]}); alert(msg);\"}]");

pref("flagfox.openlinksin", "tabFG");   // Lookup pages open in foreground tab
pref("flagfox.showfavicons", true);     // Show favicons for actions
pref("flagfox.usealticons", false);     // Use primary icon set

pref("flagfox.warn.proxy", "enabled");  // Show warning when there's no DNS access
pref("flagfox.warn.stale", "enabled");  // Show warning when IPDB is getting stale
pref("flagfox.warn.tld", "once");       // Show warning when TLD != server location (first instance only, unless told otherwise by user)

pref("flagfox.hasshownFirefoxEOLwarning", false);  // Show warning page if still running an EOL version of Firefox

// Tells Mozilla Sync if it is allowed to sync the "flagfox.actions" pref (off by default)
pref("services.sync.prefs.sync.flagfox.actions", false);

// Points extension description to the localized version
pref("extensions.{1018e4d6-728f-4b20-ad56-37578a4de76b}.description", "chrome://flagfox/locale/flagfox.properties");
